Subject: Re: bug#34679: --load-path does not work with guix environment

From: Ludovic Courtès <[email-masked]>
Date: Wed, 06 Mar 2019 15:05:43 +0100

Hi,

Hartmut Goebel <[email-masked]> skribis:

> guix environment still installs gnunet 0.10.1 (which is defined in guix
> 0.16):
>
> $ guix environment --load-path=$PWD/contrib/guix --ad-hoc gnunet
> [guix]$ realpath $(which gnunet-arm)
> /gnu/store/...-gnunet-0.10.1/bin/gnunet-arm
>
>
> Using GUIX_PACKAGE_PATH the correct version of gnunet is installed into
> the environment:
>
> $ export GUIX_PACKAGE_PATH=$PWD/contrib/guix
> $ guix environment --ad-hoc gnunet
> [guix]$ realpath $(which gnunet-arm)
> /gnu/store/...-gnunet-v0.11.0pre66-1108-g8bb29d2fb/bin/gnunet-arm

I tried to simulate the issue but I can’t seem to reproduce it; that is,
with -L, I do get the “v0.11.0pre66-1108-g8bb29d2fb” version.

Could you try to reduce this to a simpler test case and/or post the
files to test it?

Thanks,
Ludo’.